makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
com.visagetechnologies.bsc.LightConditionsResult Class Reference

Object representing the result retrieved from the light conditions analyzer. More...

## Public Member Functions
void | setHasNoBacklight (boolean value)
boolean | getHasNoBacklight ()
void | setHasNoBacklightProbability (float value)
float | getHasNoBacklightProbability ()
void | setIsFaceUniformlyLit (boolean value)
boolean | getIsFaceUniformlyLit ()
void | setIsFaceUniformlyLitProbability (float value)
float | getIsFaceUniformlyLitProbability ()
void | setFrameIndex (int value)
int | getFrameIndex ()
void | setStatus (com.visagetechnologies.bsc.LightConditionsAnalysisStatus value)
com.visagetechnologies.bsc.LightConditionsAnalysisStatus | getStatus ()

## Detailed Description

Object representing the result retrieved from the light conditions analyzer.

## Member Function Documentation

## ◆ getFrameIndex()

int com.visagetechnologies.bsc.LightConditionsResult.getFrameIndex | ( |  | ) |
| inline

Frame index of last frame processed by light conditions analyzer.

## ◆ getHasNoBacklight()

boolean com.visagetechnologies.bsc.LightConditionsResult.getHasNoBacklight | ( |  | ) |
| inline

Boolean value that indicates whether there is a backlight in the frame or not. True means there is no backlight in the frame.

## ◆ getHasNoBacklightProbability()

float com.visagetechnologies.bsc.LightConditionsResult.getHasNoBacklightProbability | ( |  | ) |
| inline

Probability of analyzed frame not containing a backlight. Float value in range [0,1]. Larger value means a higher chance of frame not containing a backlight.

## ◆ getIsFaceUniformlyLit()

boolean com.visagetechnologies.bsc.LightConditionsResult.getIsFaceUniformlyLit | ( |  | ) |
| inline

Boolean value that indicates whether the user's face in uniformly lit (true) or not (false).

## ◆ getIsFaceUniformlyLitProbability()

float com.visagetechnologies.bsc.LightConditionsResult.getIsFaceUniformlyLitProbability | ( |  | ) |
| inline

Probability of face in the analyzed frame being uniformly lit. Float value in range [0,1]. Larger value means a higher chance of face being uniformly lit.

## ◆ getStatus()

com.visagetechnologies.bsc.LightConditionsAnalysisStatus com.visagetechnologies.bsc.LightConditionsResult.getStatus | ( |  | ) |
| inline

Analysis status for last frame processed by light conditions analyzer. Value meaning: 1 - ok, 2 - face tracker failed, 3 - one of the cheeks not visible.

## ◆ setFrameIndex()

void com.visagetechnologies.bsc.LightConditionsResult.setFrameIndex | ( | int | value | ) |
| inline

Frame index of last frame processed by light conditions analyzer.

## ◆ setHasNoBacklight()

void com.visagetechnologies.bsc.LightConditionsResult.setHasNoBacklight | ( | boolean | value | ) |
| inline

Boolean value that indicates whether there is a backlight in the frame or not. True means there is no backlight in the frame.

## ◆ setHasNoBacklightProbability()

void com.visagetechnologies.bsc.LightConditionsResult.setHasNoBacklightProbability | ( | float | value | ) |
| inline

Probability of analyzed frame not containing a backlight. Float value in range [0,1]. Larger value means a higher chance of frame not containing a backlight.

## ◆ setIsFaceUniformlyLit()

void com.visagetechnologies.bsc.LightConditionsResult.setIsFaceUniformlyLit | ( | boolean | value | ) |
| inline

Boolean value that indicates whether the user's face in uniformly lit (true) or not (false).

## ◆ setIsFaceUniformlyLitProbability()

void com.visagetechnologies.bsc.LightConditionsResult.setIsFaceUniformlyLitProbability | ( | float | value | ) |
| inline

Probability of face in the analyzed frame being uniformly lit. Float value in range [0,1]. Larger value means a higher chance of face being uniformly lit.

## ◆ setStatus()

void com.visagetechnologies.bsc.LightConditionsResult.setStatus | ( | com.visagetechnologies.bsc.LightConditionsAnalysisStatus | value | ) |
| inline

Analysis status for last frame processed by light conditions analyzer. Value meaning: 1 - ok, 2 - face tracker failed, 3 - one of the cheeks not visible.